Subject: bug#73404: 30.0.50; [forward/kill/etc]-sexp commands do not behave as expected in tree-sitter modes

From: Stefan Monnier <[email-masked]>
Date: Mon, 30 Dec 2024 11:30:52 -0500

> BTW, my initial intention was to add the thing 'list'.
> But then I discovered that (treesit-thing-next (point) 'list)
> uses the function 'list' instead of the thing 'list'.

I don't have a good suggestion for the actual naming.

Regarding the fact that this arg can take a either symbol or a function
(which suffers from a risk of ambiguity, like you discovered), I think
it's very important to try and avoid the intersection of the two, and
a "standard" way to do that is to use keywords, like `:list`.

        Stefan

PS: Tho, strictly speaking you can `(defun :list ...)`.
I just hope noone ever does that (although I plead guilty to getting
dangerously close to it when I suggested this very idea to Philip for
`setup.el`).